using System;
using System.Data;
using System.Collections.Generic;
using RMYY_CallCenter_Api.Model;
namespace RMYY_CallCenter_Api.BLL
{
	/// <summary>
	/// T_Wo_CommonBase
	/// </summary>
	public class T_Wo_CommonBase
	{
		private readonly RMYY_CallCenter_Api.DAL.T_Wo_CommonBase dal=new RMYY_CallCenter_Api.DAL.T_Wo_CommonBase();
		public T_Wo_CommonBase()
		{}
		#region  Method

		/// <summary>
		/// 增加一条数据
		/// </summary>
		public void Add(RMYY_CallCenter_Api.Model.T_Wo_CommonBase model)
		{
			dal.Add(model);
		}

		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(RMYY_CallCenter_Api.Model.T_Wo_CommonBase model)
		{
			return dal.Update(model);
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete()
		{
			//该表无主键信息，请自定义主键/条件字段
			return dal.Delete();
		}

		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public RMYY_CallCenter_Api.Model.T_Wo_CommonBase GetModel(string F_WoCode)
		{
			//该表无主键信息，请自定义主键/条件字段
			return dal.GetModel(F_WoCode);
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			return dal.GetList(strWhere);
		}
		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			return dal.GetList(Top,strWhere,filedOrder);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<RMYY_CallCenter_Api.Model.T_Wo_CommonBase> GetModelList(string strWhere)
		{
			DataSet ds = dal.GetList(strWhere);
			return DataTableToList(ds.Tables[0]);
		}
		/// <summary>
		/// 获得数据列表
		/// </summary>
		public List<RMYY_CallCenter_Api.Model.T_Wo_CommonBase> DataTableToList(DataTable dt)
		{
			List<RMYY_CallCenter_Api.Model.T_Wo_CommonBase> modelList = new List<RMYY_CallCenter_Api.Model.T_Wo_CommonBase>();
			int rowsCount = dt.Rows.Count;
			if (rowsCount > 0)
			{
				RMYY_CallCenter_Api.Model.T_Wo_CommonBase model;
				for (int n = 0; n < rowsCount; n++)
				{
					model = new RMYY_CallCenter_Api.Model.T_Wo_CommonBase();
					model.F_WoCode=dt.Rows[n]["F_WoCode"].ToString();
					if(dt.Rows[n]["F_CreateUser"] != null &&dt.Rows[n]["F_CreateUser"].ToString()!="")
					{
						model.F_CreateUser=int.Parse(dt.Rows[n]["F_CreateUser"].ToString());
					}
					if(dt.Rows[n]["F_Type"] != null&& dt.Rows[n]["F_Type"].ToString()!="")
					{
						model.F_Type=int.Parse(dt.Rows[n]["F_Type"].ToString());
					}
					if(dt.Rows[n]["F_SonType"] != null && dt.Rows[n]["F_SonType"].ToString()!="")
					{
						model.F_SonType=int.Parse(dt.Rows[n]["F_SonType"].ToString());
					}
                    if (dt.Rows[n]["F_Content"] != null)
                    model.F_Content=dt.Rows[n]["F_Content"].ToString();
					if(dt.Rows[n]["F_Proposer"] != null && dt.Rows[n]["F_Proposer"].ToString()!="")
					{
						model.F_Proposer= dt.Rows[n]["F_Proposer"].ToString();
					}
					if(dt.Rows[n]["F_ProposerDept"] != null &&dt.Rows[n]["F_ProposerDept"].ToString()!="")
					{
						model.F_ProposerDept=int.Parse(dt.Rows[n]["F_ProposerDept"].ToString());
					}
					if(dt.Rows[n]["F_DealUser"] != null && dt.Rows[n]["F_DealUser"].ToString()!="")
					{
						model.F_DealUser= dt.Rows[n]["F_DealUser"].ToString();
                    }
					if(dt.Rows[n]["F_DealDept"] != null && dt.Rows[n]["F_DealDept"].ToString()!="")
					{
						model.F_DealDept=int.Parse(dt.Rows[n]["F_DealDept"].ToString());
					}
					if(dt.Rows[n]["F_TimeLimit"] != null && dt.Rows[n]["F_TimeLimit"].ToString()!="")
					{
						model.F_TimeLimit=DateTime.Parse(dt.Rows[n]["F_TimeLimit"].ToString());
					}
					if(dt.Rows[n]["F_Status"] != null && dt.Rows[n]["F_Status"].ToString()!="")
					{
						model.F_Status=int.Parse(dt.Rows[n]["F_Status"].ToString());
					}
					if (dt.Rows[n]["F_IsDelete"] != null && dt.Rows[n]["F_IsDelete"].ToString() != "")
					{
						model.F_IsDelete = int.Parse(dt.Rows[n]["F_IsDelete"].ToString());
					}
					if (dt.Rows[n]["F_IsDone"] != null && dt.Rows[n]["F_IsDone"].ToString() != "")
					{
						model.F_IsDone = int.Parse(dt.Rows[n]["F_IsDone"].ToString());
					}
					if (dt.Rows[n]["F_IsDone"] != null )
					{
						model.F_InternalWorkOrderCode = dt.Rows[n]["F_InternalWorkOrderCode"].ToString();
					}
					if (dt.Rows[n]["F_ExternalWorkOrderCode"] != null)
					{
						model.F_ExternalWorkOrderCode = dt.Rows[n]["F_ExternalWorkOrderCode"].ToString();
					}
					if (dt.Rows[n]["F_CreateTime"] != null&&dt.Rows[n]["F_CreateTime"].ToString()!="")
					{
						model.F_CreateTime=DateTime.Parse(dt.Rows[n]["F_CreateTime"].ToString());
					}
					if(dt.Rows[n]["F_UpdateTime"] != null && dt.Rows[n]["F_UpdateTime"].ToString()!="")
					{
						model.F_UpdateTime=DateTime.Parse(dt.Rows[n]["F_UpdateTime"].ToString());
					}
					modelList.Add(model);
				}
			}
			return modelList;
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetAllList()
		{
			return GetList("");
		}

		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		//public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		//{
			//return dal.GetList(PageSize,PageIndex,strWhere);
		//}

		#endregion  Method
	}
}

